package cn.com.poc.law.convert;	

import cn.com.poc.law.model.BizAiLawyerWritingTemplateDownloadModel;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateDownloadEntity;
import cn.com.poc.law.dto.BizAiLawyerWritingTemplateDownloadDto;


public class BizAiLawyerWritingTemplateDownloadConvert {

    public static BizAiLawyerWritingTemplateDownloadEntity modelToEntity(BizAiLawyerWritingTemplateDownloadModel model){
        BizAiLawyerWritingTemplateDownloadEntity entity = new BizAiLawyerWritingTemplateDownloadEntity();
        entity.setId(model.getId());
        entity.setTemplateCode(model.getTemplateCode());
        entity.setType(model.getType());
        entity.setName(model.getName());
        entity.setOption(model.getOption());
        entity.setEntityClass(model.getEntityClass());
        return entity;
    }

    public static BizAiLawyerWritingTemplateDownloadModel entityToModel(BizAiLawyerWritingTemplateDownloadEntity entity){
        BizAiLawyerWritingTemplateDownloadModel model = new BizAiLawyerWritingTemplateDownloadModel();
        model.setId(entity.getId());
        model.setTemplateCode(entity.getTemplateCode());
        model.setType(entity.getType());
        model.setName(entity.getName());
        model.setOption(entity.getOption());
        model.setEntityClass(entity.getEntityClass());
        return model;
    }
    
    public static BizAiLawyerWritingTemplateDownloadDto entityToDto(BizAiLawyerWritingTemplateDownloadEntity entity){
        BizAiLawyerWritingTemplateDownloadDto dto = new BizAiLawyerWritingTemplateDownloadDto();
        dto.setId(entity.getId());
        dto.setTemplateCode(entity.getTemplateCode());
        dto.setType(entity.getType());
        dto.setName(entity.getName());
        dto.setOption(entity.getOption());
        dto.setEntityClass(entity.getEntityClass());
        return dto;
    }

    public static BizAiLawyerWritingTemplateDownloadEntity dtoToEntity(BizAiLawyerWritingTemplateDownloadDto dto){
        BizAiLawyerWritingTemplateDownloadEntity entity = new BizAiLawyerWritingTemplateDownloadEntity();
        entity.setId(dto.getId());
        entity.setTemplateCode(dto.getTemplateCode());
        entity.setType(dto.getType());
        entity.setName(dto.getName());
        entity.setOption(dto.getOption());
        entity.setEntityClass(dto.getEntityClass());
        return entity;
    }
}